import { Links } from "components/Links";
import React from "react";
import styles from "./styles.module.css";

import { Link } from "utils/types";

interface PreviewProps {
  links: Link[];
}

const Preview: React.FC<PreviewProps> = ({ links }) => {
  return (
    <div className={styles.container}>
      <div
        className={`box-border bg-white rounded-preview border-preview border-black ${styles.parent}`}
      >
        <Links links={links} className={styles.child} />
      </div>
    </div>
  );
};

export default Preview;
